Bug 964195 - No 'WAN options' in Console options
No 'WAN options' in Console options
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.2.0
Unspecified Windows
medium Severity medium
: ---
: 3.3.0
Assigned To: Frantisek Kobzik
Jiri Belka
virt
: Triaged
Depends On: 909059 918541 962667 967136 970217 972749
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 09:41 EDT by Vaclav Ehrlich
Modified: 2016-10-04 00:03 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-13 04:43:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vaclav Ehrlich 2013-05-17 09:41:10 EDT
Description of problem:
In Console Options in Power User Portal should be checkbox for WAN options. 

Version-Release number of selected component (if applicable):
RHEVM sf17
RHEVM Tools 3.2.7

How reproducible:
Always

Steps to Reproduce:
1.Log into Power User Portal
2.Click to Edit Console options on VM where is RHEVM Agent and RHEVM Spice Agent installed and running
  
Actual results:
No checkbox for WAN options

Expected results:
THere is a checkbox for WAN options

Additional info:
Client Win7/32
Guest Win7/32
Comment 1 Frantisek Kobzik 2013-05-22 08:17:48 EDT
Hi,

it seems it's related to bug in GA, when the guest info wasn't reported (https://bugzilla.redhat.com/show_bug.cgi?id=962667). When the guest agent doesn't report its version, the engine supposes the GA is not installed and hides WAN options in the dialog. Could you test whether it is reportable with newer tools?
Comment 2 Vaclav Ehrlich 2013-05-22 10:51:07 EDT
I've tried to install GA 3.2.8
Guest Win7/32
Client Win7/32
Host sf17

Same result (WLAN option is missing)
Comment 3 Vaclav Ehrlich 2013-05-23 03:32:41 EDT
If VDSM service is restarted on host, works as expected.
Comment 4 Bryan Yount 2013-05-24 17:45:20 EDT
(In reply to Frantisek Kobzik from comment #1)
> it seems it's related to bug in GA, when the guest info wasn't reported
> (https://bugzilla.redhat.com/show_bug.cgi?id=962667). When the guest agent
> doesn't report its version, the engine supposes the GA is not installed and
> hides WAN options in the dialog. Could you test whether it is reportable
> with newer tools?

Frantisek, I am seeing this same issue with my customer on 2 separate environments both running RHEV-M 3.1.3 and vdsm-4.9-113.1 on DEV and vdsm-4.10.2-1.9 on PUREFLEX. I filed bug#967136 to report this.
Comment 5 Michal Skrivanek 2013-05-27 06:20:30 EDT
however this was supposed to be fixed in 3.1.4.
Keep it open to investigate possible root cause bug 909059
Comment 7 Michal Skrivanek 2013-06-10 09:00:40 EDT
remove 3.2.z request as bug 909059 is not going to happen any time soon. Still keep it open just in case we can reproduce it with some more information
Comment 8 Michal Skrivanek 2013-06-14 06:46:05 EDT
all vdsm code is fixed and bug 909059 may or may not happen(it's a significant change and backport may be too risky) and we can't reproduce it to verify
on test build. We believe we fixed all what we can in vdsm 

Lowering priority as after bug 972749 the impact is not that bad. Only the affected VM won't have guest agent data reported, and no vdsm restart is needed to make it work again. So one possible workaround is to simply reboot the machine or use live snapshot with RAM and suspend&resume
Comment 10 RHEL Product and Program Management 2013-06-19 06:45:32 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.
Comment 14 Michal Skrivanek 2013-09-13 04:43:12 EDT
haven't seen that for a long time, please reopen if still relevant

Note You need to log in before you can comment on or make changes to this bug.